Groovy 1.7.10

## org.codehaus.groovy.util
[Java] Class ListHashMap

    java.lang.Object
      org.codehaus.groovy.util.ListHashMap

All Implemented Interfaces:
  Map

    public class ListHashMap
    extends Object

This represents a

Authors:
  Jochen "blackdrag" Theodorou

Constructor Summary
`ListHashMap()`
`ListHashMap(int listSize)`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(Object key)`
`boolean` | `containsValue(Object value)`
`Set` | `entrySet()`
`V` | `get(Object key)`
`boolean` | `isEmpty()`
`Set` | `keySet()`
`V` | `put(K key, V value)`
`void` | `putAll(Map m)`
`V` | `remove(Object key)`
`int` | `size()`
`Collection` | `values()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ListHashMap

    public ListHashMap()

### ListHashMap

    public ListHashMap(int listSize)

Method Detail

### clear

    public void clear()

### containsKey

    public boolean containsKey(Object key)

### containsValue

    public boolean containsValue(Object value)

### entrySet

    public Set entrySet()

### get

    public V get(Object key)

### isEmpty

    public boolean isEmpty()

### keySet

    public Set keySet()

### put

    public V put(K key, V value)

### putAll

    public void putAll(Map m)

### remove

    public V remove(Object key)

### size

    public int size()

### values

    public Collection values()

Copyright © 2003-2010 The Codehaus. All rights reserved.